Index: trunk/source/processes/hadronic/processes/include/G4PositronNuclearProcess.hh
===================================================================
--- trunk/source/processes/hadronic/processes/include/G4PositronNuclearProcess.hh	(revision 1007)
+++ trunk/source/processes/hadronic/processes/include/G4PositronNuclearProcess.hh	(revision 1055)
@@ -36,29 +36,15 @@
 // Class Description - End
 
-#include "G4HadronInelasticProcess.hh"
-#include "G4Positron.hh"
-#include "G4ElectroNuclearCrossSection.hh"
- 
+#include "G4HadronInelasticProcess.hh" 
 
- class G4PositronNuclearProcess : public G4HadronInelasticProcess
- {
- public:
+class G4PositronNuclearProcess : public G4HadronInelasticProcess
+{
+public:
     
-    G4PositronNuclearProcess(
-     const G4String& processName = "PositronNuclear" ) :
+  G4PositronNuclearProcess(const G4String& processName = "PositronNuclear" );
+    
+  virtual ~G4PositronNuclearProcess();
 
-    G4HadronInelasticProcess( processName, G4Positron::Positron() )
-    { 
-      G4CrossSectionDataStore * theStore = GetCrossSectionDataStore();
-      theStore->AddDataSet(&theData);
-    } 
-    
-    ~G4PositronNuclearProcess()
-    { }
-    
- private:
- 
-   G4ElectroNuclearCrossSection theData;
- };
+};
 
 #endif
Index: trunk/source/processes/hadronic/processes/src/G4ElectronNuclearProcess.cc
===================================================================
--- trunk/source/processes/hadronic/processes/src/G4ElectronNuclearProcess.cc	(revision 1007)
+++ trunk/source/processes/hadronic/processes/src/G4ElectronNuclearProcess.cc	(revision 1055)
@@ -25,10 +25,11 @@
 //
 //
-// $Id: G4ElectronNuclearProcess.cc,v 1.2 2006/06/29 21:03:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4ElectronNuclearProcess.cc,v 1.3 2009/03/31 19:16:38 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 
 #include "G4ElectronNuclearProcess.hh" 
 #include "G4Electron.hh"
+#include "G4ElectroNuclearCrossSection.hh"
 
 G4ElectronNuclearProcess::
@@ -37,5 +38,5 @@
 { 
   G4CrossSectionDataStore * theStore = GetCrossSectionDataStore();
-  theStore->AddDataSet(&theData);
+  theStore->AddDataSet(new G4ElectroNuclearCrossSection);
 } 
     
Index: trunk/source/processes/hadronic/processes/src/G4PhotoNuclearProcess.cc
===================================================================
--- trunk/source/processes/hadronic/processes/src/G4PhotoNuclearProcess.cc	(revision 1007)
+++ trunk/source/processes/hadronic/processes/src/G4PhotoNuclearProcess.cc	(revision 1055)
@@ -26,10 +26,11 @@
 //
 //
-// $Id: G4PhotoNuclearProcess.cc,v 1.2 2006/06/29 21:03:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4PhotoNuclearProcess.cc,v 1.3 2009/03/31 19:16:38 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 
 #include "G4PhotoNuclearProcess.hh"
 #include "G4Gamma.hh"
+#include "G4PhotoNuclearCrossSection.hh"
 
 G4PhotoNuclearProcess::
@@ -38,5 +39,5 @@
 { 
   G4CrossSectionDataStore * theStore = GetCrossSectionDataStore();
-  theStore->AddDataSet(&theData);
+  theStore->AddDataSet(new G4PhotoNuclearCrossSection);
 } 
     
Index: trunk/source/processes/hadronic/stopping/History
===================================================================
--- trunk/source/processes/hadronic/stopping/History	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/History	(revision 1055)
@@ -14,4 +14,12 @@
      * Please list in reverse chronological order (last date on top)
      ---------------------------------------------------------------
+
+02-Feb-2009 Vladimir Ivantchenko (hadr-stopping-V09-02-01)
+----------------------------------------------------------
+- added registration/deregistration to all LHEP processes
+
+23-Jan-2009 Vladimir Ivantchenko (hadr-stopping-V09-02-00)
+----------------------------------------------------------
+G4MuonMinusCaptureAtRest - added deregistration  
 
 22-Oct-2008 Dennis Wright (hadr-stopping-V09-01-05)
Index: trunk/source/processes/hadronic/stopping/include/G4AntiNeutronAnnihilationAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4AntiNeutronAnnihilationAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4AntiNeutronAnnihilationAtRest.hh	(revision 1055)
@@ -61,6 +61,7 @@
      G4bool IsApplicable(const G4ParticleDefinition&);
 
-  // null physics table
-     void BuildPhysicsTable(const G4ParticleDefinition&){}
+     void PreparePhysicsTable(const G4ParticleDefinition&);
+
+     void BuildPhysicsTable(const G4ParticleDefinition&);
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&,
Index: trunk/source/processes/hadronic/stopping/include/G4AntiProtonAnnihilationAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4AntiProtonAnnihilationAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4AntiProtonAnnihilationAtRest.hh	(revision 1055)
@@ -61,6 +61,7 @@
      G4bool IsApplicable(const G4ParticleDefinition&);
 
-  // null physics table
-     void BuildPhysicsTable(const G4ParticleDefinition&){}
+     void PreparePhysicsTable(const G4ParticleDefinition&);
+
+     void BuildPhysicsTable(const G4ParticleDefinition&);
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&,
Index: trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorption.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorption.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorption.hh	(revision 1055)
@@ -62,6 +62,7 @@
      G4bool IsApplicable(const G4ParticleDefinition&);
 
-  // null physics table
-     void BuildPhysicsTable(const G4ParticleDefinition&){}
+     void PreparePhysicsTable(const G4ParticleDefinition&);
+
+     void BuildPhysicsTable(const G4ParticleDefinition&);
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&,
Index: trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorptionAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorptionAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4KaonMinusAbsorptionAtRest.hh	(revision 1055)
@@ -69,4 +69,8 @@
                return( particle == *(G4KaonMinus::KaonMinus()) );
   }
+
+  void PreparePhysicsTable(const G4ParticleDefinition&);
+
+  void BuildPhysicsTable(const G4ParticleDefinition&);
 
   // the main method ...
Index: trunk/source/processes/hadronic/stopping/include/G4NeutronCaptureAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4NeutronCaptureAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4NeutronCaptureAtRest.hh	(revision 1055)
@@ -62,6 +62,8 @@
      G4bool IsApplicable(const G4ParticleDefinition&);
 
+     void PreparePhysicsTable(const G4ParticleDefinition&);
+
   // null physics table
-     void BuildPhysicsTable(const G4ParticleDefinition&){}
+     void BuildPhysicsTable(const G4ParticleDefinition&);
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&,
Index: trunk/source/processes/hadronic/stopping/include/G4PiMinusAbsorptionAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4PiMinusAbsorptionAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4PiMinusAbsorptionAtRest.hh	(revision 1055)
@@ -75,4 +75,8 @@
     { return ( particle == *(G4PionMinus::PionMinus()) ); }
 
+  void PreparePhysicsTable(const G4ParticleDefinition&);
+
+  void BuildPhysicsTable(const G4ParticleDefinition&);
+
   G4VParticleChange* AtRestDoIt(const G4Track& aTrack, const G4Step& aStep); 
 
Index: trunk/source/processes/hadronic/stopping/include/G4PionMinusAbsorptionAtRest.hh
===================================================================
--- trunk/source/processes/hadronic/stopping/include/G4PionMinusAbsorptionAtRest.hh	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/include/G4PionMinusAbsorptionAtRest.hh	(revision 1055)
@@ -61,6 +61,8 @@
      G4bool IsApplicable(const G4ParticleDefinition&);
 
+     void PreparePhysicsTable(const G4ParticleDefinition&);
+
   // null physics table
-     void BuildPhysicsTable(const G4ParticleDefinition&){}
+     void BuildPhysicsTable(const G4ParticleDefinition&);
 
      G4double AtRestGetPhysicalInteractionLength(const G4Track&,
Index: trunk/source/processes/hadronic/stopping/src/G4AntiNeutronAnnihilationAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4AntiNeutronAnnihilationAtRest.cc	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/src/G4AntiNeutronAnnihilationAtRest.cc	(revision 1055)
@@ -31,4 +31,5 @@
 #include "G4DynamicParticle.hh"
 #include "G4ParticleTypes.hh"
+#include "G4HadronicProcessStore.hh"
 #include "Randomize.hh" 
 #include <string.h>
@@ -68,4 +69,5 @@
   gkin = new G4GHEKinematicsVector [MAX_SECONDARIES];
 
+  G4HadronicProcessStore::Instance()->RegisterExtraProcess(this);
 }
  
@@ -74,4 +76,5 @@
 G4AntiNeutronAnnihilationAtRest::~G4AntiNeutronAnnihilationAtRest()
 {
+  G4HadronicProcessStore::Instance()->DeRegisterExtraProcess(this);
   delete [] pv;
   delete [] eve;
@@ -79,4 +82,13 @@
 }
  
+void G4AntiNeutronAnnihilationAtRest::PreparePhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->RegisterParticleForExtraProcess(this, &p);
+}
+
+void G4AntiNeutronAnnihilationAtRest::BuildPhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->PrintInfo(&p);
+}
  
 // methods.............................................................................
@@ -89,5 +101,5 @@
 
 }
- 
+
 // Warning - this method may be optimized away if made "inline"
 G4int G4AntiNeutronAnnihilationAtRest::GetNumberOfSecondaries()
Index: trunk/source/processes/hadronic/stopping/src/G4AntiProtonAnnihilationAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4AntiProtonAnnihilationAtRest.cc	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/src/G4AntiProtonAnnihilationAtRest.cc	(revision 1055)
@@ -32,4 +32,5 @@
 #include "G4ParticleTypes.hh"
 #include "Randomize.hh" 
+#include "G4HadronicProcessStore.hh"
 #include <string.h>
 #include <cmath>
@@ -68,4 +69,5 @@
   gkin = new G4GHEKinematicsVector [MAX_SECONDARIES];
 
+  G4HadronicProcessStore::Instance()->RegisterExtraProcess(this);
 }
  
@@ -74,4 +76,5 @@
 G4AntiProtonAnnihilationAtRest::~G4AntiProtonAnnihilationAtRest()
 {
+  G4HadronicProcessStore::Instance()->DeRegisterExtraProcess(this);
   delete [] pv;
   delete [] eve;
@@ -79,4 +82,13 @@
 }
  
+void G4AntiProtonAnnihilationAtRest::PreparePhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->RegisterParticleForExtraProcess(this, &p);
+}
+
+void G4AntiProtonAnnihilationAtRest::BuildPhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->PrintInfo(&p);
+}
  
 // methods.............................................................................
Index: trunk/source/processes/hadronic/stopping/src/G4KaonMinusAbsorption.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4KaonMinusAbsorption.cc	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/src/G4KaonMinusAbsorption.cc	(revision 1055)
@@ -32,4 +32,5 @@
 #include "G4ParticleTypes.hh"
 #include "Randomize.hh" 
+#include "G4HadronicProcessStore.hh"
 #include <string.h>
 #include <cmath>
@@ -66,4 +67,5 @@
   gkin = new G4GHEKinematicsVector [MAX_SECONDARIES];
 
+  G4HadronicProcessStore::Instance()->RegisterExtraProcess(this);
 }
  
@@ -72,9 +74,19 @@
 G4KaonMinusAbsorption::~G4KaonMinusAbsorption()
 {
+  G4HadronicProcessStore::Instance()->DeRegisterExtraProcess(this);
   delete [] pv;
   delete [] eve;
   delete [] gkin;
 }
- 
+
+void G4KaonMinusAbsorption::PreparePhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->RegisterParticleForExtraProcess(this, &p);
+}
+
+void G4KaonMinusAbsorption::BuildPhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->PrintInfo(&p);
+} 
  
 // methods.............................................................................
Index: trunk/source/processes/hadronic/stopping/src/G4KaonMinusAbsorptionAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4KaonMinusAbsorptionAtRest.cc	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/src/G4KaonMinusAbsorptionAtRest.cc	(revision 1055)
@@ -43,4 +43,5 @@
 #include "G4StopDeexcitationAlgorithm.hh"
 #include "G4ReactionKinematics.hh"
+#include "G4HadronicProcessStore.hh"
 
 G4KaonMinusAbsorptionAtRest::G4KaonMinusAbsorptionAtRest(const G4String& processName,
@@ -80,10 +81,23 @@
   sigmaMinusLambdaConversionRate = 0.55;
   sigmaZeroLambdaConversionRate = 0.55;
+
+  G4HadronicProcessStore::Instance()->RegisterExtraProcess(this);
 }
 
 
 G4KaonMinusAbsorptionAtRest::~G4KaonMinusAbsorptionAtRest()
-{ }
-
+{ 
+  G4HadronicProcessStore::Instance()->DeRegisterExtraProcess(this);
+}
+
+void G4KaonMinusAbsorptionAtRest::PreparePhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->RegisterParticleForExtraProcess(this, &p);
+}
+
+void G4KaonMinusAbsorptionAtRest::BuildPhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->PrintInfo(&p);
+}
 
 G4VParticleChange* G4KaonMinusAbsorptionAtRest::AtRestDoIt
Index: trunk/source/processes/hadronic/stopping/src/G4MuonMinusCaptureAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4MuonMinusCaptureAtRest.cc	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/src/G4MuonMinusCaptureAtRest.cc	(revision 1055)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4MuonMinusCaptureAtRest.cc,v 1.53 2008/10/02 20:57:52 dennis Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4MuonMinusCaptureAtRest.cc,v 1.54 2009/01/24 11:55:38 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
 //
 //   G4MuonMinusCaptureAtRest physics process
@@ -33,9 +33,10 @@
 //
 // Modifications: 
-// 18/08/2000  V.Ivanchenko Update description
+// 18/08/2000  V.Ivanchenko Update description 
 // 12/12/2003  H.P.Wellisch Completly rewrite mu-nuclear part
 // 17/05/2006  V.Ivanchenko Cleanup
 // 15/11/2006  V.Ivanchenko Review and rewrite all kinematics
 // 24/01/2007  V.Ivanchenko Force to work with integer Z and A
+// 23/01/2009  V.Ivanchenko Add deregistration
 //
 //-----------------------------------------------------------------------------
@@ -75,4 +76,5 @@
 G4MuonMinusCaptureAtRest::~G4MuonMinusCaptureAtRest()
 {
+  G4HadronicProcessStore::Instance()->DeRegisterExtraProcess(this);
   delete [] Cascade;
   delete pSelector;
Index: trunk/source/processes/hadronic/stopping/src/G4NeutronCaptureAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4NeutronCaptureAtRest.cc	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/src/G4NeutronCaptureAtRest.cc	(revision 1055)
@@ -32,4 +32,5 @@
 #include "G4ParticleTypes.hh"
 #include "Randomize.hh" 
+#include "G4HadronicProcessStore.hh"
 #include <string.h>
 #include <cmath>
@@ -59,4 +60,5 @@
   gkin = new G4GHEKinematicsVector [MAX_SECONDARIES];
 
+  G4HadronicProcessStore::Instance()->RegisterExtraProcess(this);
 }
  
@@ -65,4 +67,5 @@
 G4NeutronCaptureAtRest::~G4NeutronCaptureAtRest()
 {
+  G4HadronicProcessStore::Instance()->DeRegisterExtraProcess(this);
   delete [] pv;
   delete [] eve;
@@ -70,4 +73,13 @@
 }
  
+void G4NeutronCaptureAtRest::PreparePhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->RegisterParticleForExtraProcess(this, &p);
+}
+
+void G4NeutronCaptureAtRest::BuildPhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->PrintInfo(&p);
+}
  
 // methods.............................................................................
Index: trunk/source/processes/hadronic/stopping/src/G4PiMinusAbsorptionAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4PiMinusAbsorptionAtRest.cc	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/src/G4PiMinusAbsorptionAtRest.cc	(revision 1055)
@@ -57,4 +57,5 @@
 #include "G4ThreeVector.hh"
 #include "G4LorentzVector.hh"
+#include "G4HadronicProcessStore.hh"
 
 // Constructor
@@ -70,4 +71,5 @@
   if (verboseLevel>0) 
     { G4cout << GetProcessName() << " is created "<< G4endl; }
+  G4HadronicProcessStore::Instance()->RegisterExtraProcess(this);
 }
 
@@ -76,6 +78,17 @@
 
 G4PiMinusAbsorptionAtRest::~G4PiMinusAbsorptionAtRest()
-{}
-
+{
+  G4HadronicProcessStore::Instance()->DeRegisterExtraProcess(this);
+}
+
+void G4PiMinusAbsorptionAtRest::PreparePhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->RegisterParticleForExtraProcess(this, &p);
+}
+
+void G4PiMinusAbsorptionAtRest::BuildPhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->PrintInfo(&p);
+}
 
 G4VParticleChange* G4PiMinusAbsorptionAtRest::AtRestDoIt(const G4Track& track, const G4Step& )
Index: trunk/source/processes/hadronic/stopping/src/G4PionMinusAbsorptionAtRest.cc
===================================================================
--- trunk/source/processes/hadronic/stopping/src/G4PionMinusAbsorptionAtRest.cc	(revision 1007)
+++ trunk/source/processes/hadronic/stopping/src/G4PionMinusAbsorptionAtRest.cc	(revision 1055)
@@ -32,4 +32,5 @@
 #include "G4ParticleTypes.hh"
 #include "Randomize.hh" 
+#include "G4HadronicProcessStore.hh"
 #include <string.h>
 #include <cmath>
@@ -61,4 +62,5 @@
   gkin = new G4GHEKinematicsVector [MAX_SECONDARIES];
 
+  G4HadronicProcessStore::Instance()->RegisterExtraProcess(this);
 }
  
@@ -67,4 +69,5 @@
 G4PionMinusAbsorptionAtRest::~G4PionMinusAbsorptionAtRest()
 {
+  G4HadronicProcessStore::Instance()->DeRegisterExtraProcess(this);
   delete [] pv;
   delete [] eve;
@@ -72,4 +75,13 @@
 }
  
+void G4PionMinusAbsorptionAtRest::PreparePhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->RegisterParticleForExtraProcess(this, &p);
+}
+
+void G4PionMinusAbsorptionAtRest::BuildPhysicsTable(const G4ParticleDefinition& p) 
+{
+  G4HadronicProcessStore::Instance()->PrintInfo(&p);
+}
  
 // methods.............................................................................
Index: trunk/source/processes/hadronic/util/History
===================================================================
--- trunk/source/processes/hadronic/util/History	(revision 1007)
+++ trunk/source/processes/hadronic/util/History	(revision 1055)
@@ -14,4 +14,8 @@
      * Please list in reverse chronological order (last date on top)
      ---------------------------------------------------------------
+
+06 Mar 2009 D.H. Wright for Tatsumi Koi (hadr-util-V09-02-00)
+-------------------------------------------------------------
+- G4StableIsotopes.cc - fill in missing isotope names
 
 23 Jul 2008 D.H. Wright for Vladimir Uzhinskiy (hadr-util-V09-01-01)
Index: trunk/source/processes/hadronic/util/src/G4StableIsotopes.cc
===================================================================
--- trunk/source/processes/hadronic/util/src/G4StableIsotopes.cc	(revision 1007)
+++ trunk/source/processes/hadronic/util/src/G4StableIsotopes.cc	(revision 1055)
@@ -25,9 +25,10 @@
 //
 //
+// 090227 Fill element symbols by T. Koi
 //
 #include "G4StableIsotopes.hh"
 
 const G4int G4StableIsotopes::protonCount[92] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92};
-const G4String G4StableIsotopes::elementName[92] = {"H", "He", "Li", "Be", "B", "C", "N", "O", "F", "Ne", "Na", "Mg", "Al", "Si", "P", "S", "Cl", "Ar", "K", "Ca", "Sc", "Ti", "V", "Cr", "Mn", "Fe", "Co", "Ni", "Cu", "Zn", "Ga", "Ge", "As", "Se", "Br", "Kr", "Rb", "Sr", "Y", "", "Nb", "Mo", "", "Ru", "Rh", "Pd", "Ag", "Cd", "In", "Sn", "Sb", "Te", "I", "Xe", "Cs", "Ba", "La", "Ce", "Pr", "Nd", "", "Sm", "Eu", "Gd", "Tb", "Dy", "Ho", "Er", "Tm", "Yb", "Lu", "Hf", "Ta", "W", "Re", "Os", "Ir", "Pt", "Au", "Hg", "Tl", "Pb", "Bi", "", "", "", "", "", "", "Th", "", "U"};
+const G4String G4StableIsotopes::elementName[92] = {"H", "He", "Li", "Be", "B", "C", "N", "O", "F", "Ne", "Na", "Mg", "Al", "Si", "P", "S", "Cl", "Ar", "K", "Ca", "Sc", "Ti", "V", "Cr", "Mn", "Fe", "Co", "Ni", "Cu", "Zn", "Ga", "Ge", "As", "Se", "Br", "Kr", "Rb", "Sr", "Y", "Zr", "Nb", "Mo", "Tc", "Ru", "Rh", "Pd", "Ag", "Cd", "In", "Sn", "Sb", "Te", "I", "Xe", "Cs", "Ba", "La", "Ce", "Pr", "Nd", "Pm", "Sm", "Eu", "Gd", "Tb", "Dy", "Ho", "Er", "Tm", "Yb", "Lu", "Hf", "Ta", "W", "Re", "Os", "Ir", "Pt", "Au", "Hg", "Tl", "Pb", "Bi", "Po", "At", "Rn", "Fr", "Ra", "Ac", "Th", "Pa", "U"};
 const G4int G4StableIsotopes::nIsotopes[92] = {2, 2, 2, 1, 2, 2, 2, 3, 1, 3, 1, 3, 1, 3, 1, 4, 2, 3, 3, 6, 1, 5, 2, 4, 1, 4, 1, 5, 2, 5, 2, 5, 1, 6, 2, 6, 2, 4, 1, 5, 1, 7, 0, 7, 1, 6, 2, 8, 2, 10, 2, 8, 1, 9, 1, 7, 2, 4, 1, 7, 0, 7, 2, 7, 1, 7, 1, 6, 1, 7, 2, 6, 2, 5, 2, 7, 2, 6, 1, 7, 2, 4, 1, 0, 0, 0, 0, 0, 0, 1, 0, 3};
 const G4int G4StableIsotopes::start[92] = {0, 2, 4, 6, 7, 9, 11, 13, 16, 17, 20, 21, 24, 25, 28, 29, 33, 35, 38, 41, 47, 48, 53, 55, 59, 60, 64, 65, 70, 72, 77, 79, 84, 85, 91, 93, 99, 101, 105, 106, 111, 112, 119, 119, 126, 127, 133, 135, 143, 145, 155, 157, 165, 166, 175, 176, 183, 185, 189, 190, 197, 197, 204, 206, 213, 214, 221, 222, 228, 229, 236, 238, 244, 246, 251, 253, 260, 262, 268, 269, 276, 278, 282, 283, 283, 283, 283, 283, 283, 283, 284, 284};
